#!/bin/bash

arch=$(rpm -q --qf %{ARCH} rpm) # improvements to this are welcome...
ver=$(rpm -q --qf %{VERSION} livna-release)
base=http://rpm.livna.org

if [ "$(whoami)" = "root" ] && which smart &>/dev/null ; then
   echo=
   q=
else
   echo=echo
   q='"'
fi

echo
echo rpm.livna.org channel and mirror definitions for Smart package manager
echo ======================================================================

echo
echo "* Base Livna repository"
repo=livna
name="Livna for Fedora Core $ver - $arch - Base"
$echo smart channel --add $repo type=rpm-md name="$q$name$q" \
    baseurl=$base/fedora/$ver/$arch/

echo
echo "* Debuginfo and source packages for base repository"
repo=livna-debuginfo
name="Livna for Fedora Core $ver - $arch - Debug"
$echo smart channel --add $repo type=rpm-md name="$q$name$q" \
    baseurl=$base/fedora/$ver/$arch/debug/ disabled=yes
repo=livna-source
name="Livna for Fedora Core $ver - $arch - Source"
$echo smart channel --add $repo type=rpm-md name="$q$name$q" \
    baseurl=$base/fedora/$ver/SRPMS/ disabled=yes

echo
echo "* Potential updates in testing"
repo=livna-testing
name="Livna for Fedora Core $ver - $arch - Testing"
$echo smart channel --add $repo type=rpm-md name="$q$name$q" \
    baseurl=$base/testing/fedora/$ver/$arch/ disabled=yes
repo=livna-testing-debuginfo
name="Livna for Fedora Core $ver - $arch - Testing - Debug"
$echo smart channel --add $repo type=rpm-md name="$q$name$q" \
    baseurl=$base/testing/fedora/$ver/$arch/debug/ disabled=yes
repo=livna-testing-source
name="Livna for Fedora Core $ver - $arch - Testing - Source"
$echo smart channel --add $repo type=rpm-md name="$q$name$q" \
     baseurl=$base/testing/fedora/$ver/SRPMS/ disabled=yes

echo
echo "Mirrors:"
$echo smart mirror --add $base/smart-mirrors.txt

echo
